/*
 * afe_init.c
 *
 *  Created on: Jun 8, 2020
 *      Author: a0873438
 */

#include "sac.h"

#include "vref_config.h"
#include "adc_config.h"
#include "sac_config.h"
#include "afe_init.h"

/**** Local Functions *********************************************************/

void
hal_afe_init (void)
{
    // Initialize all analog peripherals for AFE
    //
    hal_vref_init();
    hal_adc_init();
    hal_sac_init();

}   /* hal_afe_init() */

void
hal_afe_disable (void)
{
    SAC3OA &= ~SACEN_1;                     // SAC3 all modules are disabled, then the SAC output high impedance
    SAC1OA &= ~SACEN_1;                     // SAC1 all modules are disabled, then the SAC output high impedance
    SAC0OA &= ~SACEN_1;                     // SAC0 all modules are disabled, then the SAC output high impedance
    ADCCTL0 &= ~(ADCON + ADCENC + ADCSC);   // Turn OFF ADC Module
    PMMCTL2 &= ~INTREFEN;                   // Disable internal reference

}   /* hal_afe_disable() */

/*** end of file ***/
