/*
 * ui_led.c
 *
 *  Created on: Dec 12, 2020
 *      Author: Miroslav Oljaca
 */
#include "ui_led.h"
#include "bsp.h"
#include "timer_b.h"

/**** Functions **************************************************************/

/*! \brief Use TB2.0 to create 1.5 s time delay for LED.
 *
 *  \return none
 */
void
led_motion_detected (void)
{
#   define LED_TIME_DELAY_DIVIDER   49152   // 1.5 s

    Red_LED_on;
    Green_LED_off;

    TB2CTL  &= ~MC_3;        // TB2 Stop timer
    TB2CTL  |= TBCLR;        // Clear TBxR, clock divider state, and the counter direction.

    //TODO: Switch to compare mode

//    TB2CCTL0 &= ~(CM |       // CM = 00b, Capture mode
//                  CLLD |     // CLLD = 00b, TBxCLn loads on write to TBxCCRn
//                  CAP        // CAP = 0b, Capture mode
//                 );

    TB2CCR0 = LED_TIME_DELAY_DIVIDER - 1;   // TB2CL0 (TB1CCR0) defines the time period. The number
                                             // of timer counts in the period is TBxCL0 + 1.

    TB2CCTL0 &= ~CCIFG;         // TB1 Clear interrupt
    TB2CCTL0 |= CCIE;           // TB1 Enable interrupt
    TB2CTL |= TIMER_B_UP_MODE;  // TB1 Start timer

}   /* led_motion_detected() */

/*** end of file ***/
